summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
diff options
context:
space:
mode:
Diffstat (limited to 'hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup')
-rwxr-xr-xhosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup15
1 files changed, 15 insertions, 0 deletions
diff --git a/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
new file mode 100755
index 00000000..601d4b1d
--- /dev/null
+++ b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/B01_cleanup
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi